FAQ

FAQ - Professional Protection Kit

Inhalt

Ist Cloud Security eine fertige, sofort einsetzbare Lösung zur User-Authentifizierung meiner Webseite?
Was sind die Anforderungen von Cloud Security (WEB API)? Werden mobile Plattformen wie Tablets und Smartphones ebenfalls unterstützt?
Was muss ich bestellen, wenn ich das aktuellste Professional Protection Kit beziehen möchte?
Ich habe Business/Premium Support bestellt, aber in meinem MyMARX Bereich wird keine aktive Support-Option angezeigt. Wie kann ich ein Support-Ticket erstellen?
Ist das CRYPTO-BOX Testpaket kostenfrei?
Ich benötige ein Update des Professional Protection Kits (PPK), um Zugriff auf die aktuelle AutoCrypt-Version oder die aktuellen Bibliotheken für die API-Einbindung zu erhalten. Wie bekomme ich die aktuelle PPK-Version?
Der Virenscanner meldet, dass meine mit AutoCrypt geschützte Anwendung infiziert ist!
Ich habe meine Anwendung mit AutoCrypt geschützt. Nun möchte ich eine neue Version veröffentlichen ohne die CRYPTO-BOX Module beim Endkunden erneut programmieren zu müssen.
Welche Datei-Typen können mit AutoCrypt geschützt werden?
Ist es möglich, AutoCrypt zu automatisieren und zum Beispiel Anwendungen per Skript- oder Batchaufruf schützen zu lassen?
Meine Anwendung wurde erfolgreich geschützt, ich erhalte aber beim formatieren des Dongles eine Fehlermeldung, dass die CRYPTO-BOX nicht formatiert werden konnte.
Ich habe meine Anwendung erfolgreich geschützt, aber sie lässt sich nicht starten oder ich erhalte Fehlermeldungen!
Die mit AutoCrypt geschützte Anwendung läuft auf dem selben Computer ohne Probleme, aber sobald ich diese auf ein anderes Gerät kopiere, erhalte ich Fehlermeldungen wie "Protection DLL is missing or corrupted" oder "CRYPTO-BOX wurde nicht gefunden".

Ist Cloud Security eine fertige, sofort einsetzbare Lösung zur User-Authentifizierung meiner Webseite?

Smarx Cloud Security erfordert eine Implementierung in Ihre Web-Applikation und setzt Erfahrung in PHP, Java oder ASP.NET Programmierung voraus. Es lässt sich individuell an Ihre Anforderungen anpassen.

MARX kann Ihnen hierzu Unterstützung oder Sonderentwicklungen bieten - kontaktieren Sie uns!

Was sind die Anforderungen von Cloud Security (WEB API)? Werden mobile Plattformen wie Tablets und Smartphones ebenfalls unterstützt?

Server-Seite:
Die Server-Komponente basiert auf PHP, JSP/Java, ASP.NET oder WIF (Windows Indentity Foundation) um die maximale Kompatiblität zu Ihrer Konfiguration zu gewährleisten.

Client-Seite:
Das WEB API Client Plugin unterstützt Internet Explorer, Firefox, Chrome, Safari und Opera unter Windows. Unter Linux wird Firefox unterstützt. Eine Unterstützung für Mac OS X und mobile Plattformen ist zur Zeit in Entwicklung.

Was muss ich bestellen, wenn ich das aktuellste Professional Protection Kit beziehen möchte?

Sollten Sie bereits ein ältere Version des PPK besitzen und Sie wollen die Vorteile der Features von einer neuen Version nutzen, können Sie das Kit in unserem Shop einzeln bestellen. 

Alternativ erhalten Sie erweiterten Zugriff auf unsere Download-Sektion, wenn Sie eine gültige Support Level Option erwerben. Diese ist je nach Variante ein oder zwei Jahre gültig und sichert Ihnen den Zugriff und Support auf die aktuellste Version.

Ich habe Business/Premium Support bestellt, aber in meinem MyMARX Bereich wird keine aktive Support-Option angezeigt. Wie kann ich ein Support-Ticket erstellen?

Bitte kontaktieren Sie uns oder vereinbaren Sie einen Rückruf und wir werden unverzüglich Ihre bestellte Support-Option auf Ihrem Account freischalten.

Ist das CRYPTO-BOX Testpaket kostenfrei?

Das Testpaket (inkl. Professional Protection Kit) kann für 45 Tage kostenfrei und unverbindlich getestet werden.*

Sollten Sie mehr Zeit benötigen, kontaktieren Sie uns - gern verlängern wir den Testzeitraum! Andernfalls retournieren Sie das Testpaket ausreichend frankiert an uns zurück und Sie erhalten Ihr Geld zurück.

* Lieferung an Firmen in Deutschland und Österreich auf Rechnung, diese wird bei Rücksendung innerhalb des Testzeitraums storniert.

Ich benötige ein Update des Professional Protection Kits (PPK), um Zugriff auf die aktuelle AutoCrypt-Version oder die aktuellen Bibliotheken für die API-Einbindung zu erhalten. Wie bekomme ich die aktuelle PPK-Version?

Als Neukunde erhalten Sie das Professional Protection Kit (PPK) automatisch zusammen mit Ihrem Testpaket oder Starter Kit.

Sind Sie bereits Kunde und haben eine ältere Version des PPK, wollen aber die Vorteile einer neuen Version nutzen (z.B. Updates für AutoCrypt oder aktuelle Bibliotheken für die Einbindung über API), können Sie das Kit in unserem Shop einzeln bestellen. 

Alternativ können Sie eine Support Level Option erwerben. Diese ist ein Jahr gültig und bietet Ihnen erweiterten Zugriff auf unsere Download-Sektion (inkl. Download der jeweils aktuellen PPK-Version), sowie Technischen Support (Zugriff auf unser Support Ticket System) während dieses Zeitraums.

Der Virenscanner meldet, dass meine mit AutoCrypt geschützte Anwendung infiziert ist!

Es kommt gelegentlich vor, dass Virenscanner mit aktivierter Heuristik die geschützte Anwendung als infiziert erkennen (False Positive). Grund: Unser AutoCrypt-Wrapper nutzt zur Verschlüsselung der Anwendung Methoden, die auch teilweise von Schadsoftware eingesetzt wird. In diesem Fall gibt es folgende Möglichkeiten:

  • Definieren Sie eine Ausnahmeregel im Virenscanner für Ihre Anwendung.
  • Wenden Sie sich an den Support Ihrer Antivirensoftware. Die meisten Hersteller von Antivirus-Software bieten die Möglichkeit, als False Positive erkannte Anwendungen auf einen Server hochzuladen, damit diese in Zukunft nicht mehr als infiziert erkannt werden.

Ich habe meine Anwendung mit AutoCrypt geschützt. Nun möchte ich eine neue Version veröffentlichen ohne die CRYPTO-BOX Module beim Endkunden erneut programmieren zu müssen.

Öffnen Sie dazu das bestehende AutoCrypt-Projekt im Smarx Application Framework. Um die neue Version Ihrer Anwendung zu schützen, wählen Sie in der Baumstruktur unter Anwendungen die zu aktualisierende Anwendung aus, klicken Sie dann rechts unten auf "Anwendung Update" und wählen Sie Ihre neue Version aus. Danach müssen Sie nur noch auf "Anwendung schützen" klicken.

Hinweis: Benutzen Sie nicht das Daten-Objekt "Checksumme" bei Schutz Ihrer Anwendung, wenn Sie die Kompatiblität zu weiteren Updates sicherstellen wollen! Anderenfalls ist bei jedem Update der Anwendung auch ein Update der Checksumme im internen Speicher der CRYPTO-BOX (z.B. mit Remote Update) erforderlich.

 

Welche Datei-Typen können mit AutoCrypt geschützt werden?

AutoCrypt unterstützt Windows 32/64Bit Standard Executable und Dlls, sowie .NET basierende Executables. Für Linux 32/64 Bit Anwendungen steht eine Kommandozeilenversion von AutoCrypt zur Verfügung. Weitere Details für den Linux Support finden Sie im entsprechendenReadMe auf der CDROM des Professional Protection Kits.

Seit der Protection Kit Version 5.90 werden RAD XE 64Bit Anwendungen, seit Version 7.0 auch .NET WPF Anwendungen unterstützt. Sollten Sie über eine gültige Support Level Option verfügen, erhalten Sie das aktuelle Protection Kit inklusive AutoCrypt in unserem Downloadbereich.

Falls sich Ihre Anwendung nicht mit AutoCrypt schützen lässt, oder sie arbeitet nach dem Schutz nicht korrekt: bitte kontaktieren Sie uns oder fordern Sie einen Rückruf an - in den allermeisten Fällen finden wir eine Lösung! Sollten Sie einen gültigen Support Level Vertrag haben, nutzen Sie das Support Ticket System.

Ist es möglich, AutoCrypt zu automatisieren und zum Beispiel Anwendungen per Skript- oder Batchaufruf schützen zu lassen?

Mit dem Kommandozeilen-Tool von AutoCrypt (AC_Tool.exe) ist es möglich, den Schutzvorgang für eine oder mehrere Anwendungen per Batch- oder Skriptbefehl oder aus anderen Anwendungen heraus einzuleiten.

Auch die Formatierung von CRYPTO-BOX Modulen kann durch das Kommandozeilen-Tool SmrxProg.exe auf dem selbem Weg erfolgen.

Weitere Details dazu finden Sie in den AutoCrypt Application Notes (Abschnitt 6).

Meine Anwendung wurde erfolgreich geschützt, ich erhalte aber beim formatieren des Dongles eine Fehlermeldung, dass die CRYPTO-BOX nicht formatiert werden konnte.

Bitte stellen Sie sicher, dass Sie das korrekte Hardware-Profil ausgewählt haben (TRX Datei). Das Standard-Profil "cbu_demo" funktioniert nur mit einer CRYPTO-BOX aus dem Testpaket. Für Ihre kundenspezifischen CRYPTO-BOX Module muss das entsprechende Hardware-Profil importiert werden. Diese TRX-Datei befindet sich auf der CDROM, welche Sie mit der Erstlieferung Ihrer Bestellung erhalten haben.

Weitere Details dazu können Sie den AutoCrypt Application Notes (Kapitel 2.3) entnehmen.

Ich habe meine Anwendung erfolgreich geschützt, aber sie lässt sich nicht starten oder ich erhalte Fehlermeldungen!

Siehe dazu auch diesen FAQ-Eintrag.

Falls das nicht das Problem ist, sondern die Fehlermeldung direkt von der Anwendung oder vom System kommt: manche Anwendung sind nicht kompatibel mit AutoCrypt. Bitte kontaktieren Sie uns oder fordern Sie einen Rückruf an - in den meisten Fällen finden wir eine Lösung! Sollten Sie einen gültigen Support Level Vertrag haben, nutzen Sie das Support Ticket System.

Die mit AutoCrypt geschützte Anwendung läuft auf dem selben Computer ohne Probleme, aber sobald ich diese auf ein anderes Gerät kopiere, erhalte ich Fehlermeldungen wie "Protection DLL is missing or corrupted" oder "CRYPTO-BOX wurde nicht gefunden".

Wenn Sie eine "CRYPTO-BOX wurde nicht gefunden" Fehlermeldung erhalten, überprüfen Sie bitte:

  • Wurde die verwendete CRYPTO-BOX mit den korrekten Projekteinstellungen über "CB Format" (oder SmrxProg.exe) programmiert? Siehe dazu auch Kapitel 4 der AutoCrypt Application Notes.
  • Ist die CRYPTO-BOX mit dem Computer verbunden und leuchtet die LED Anzeige? Falls nicht, bitte klicken Sie hier.

Sollten Sie die Fehlermeldung "Protection DLL is missing or corrupted" erhalten:
Während des Schutzprozesses wird eine Datei fmteos.dll generiert (bzw. fmteos64.dll für 64 Bit Anwendungen). Diese finden Sie im selben Ordner, in dem AutoCrypt die geschützte Anwendung gespeichert hat. Stellen Sie sicher, das Sie diese Datei zusammen mit Ihrem geschützten Projekt ausliefern.

Please guide me to find the right solution

guide me

I already know what I need. Take me directly to the
Product Overview/Shop

Product Overview